package com.zj365.mime.adapter

import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.xty.base.adapter.BaseAdapter
import com.xty.common.util.NumUtils
import com.zj365.mime.R
import com.zj365.mime.model.CustomerPOItem

class ElectronicAddressAdapter : BaseAdapter<CustomerPOItem>(R.layout.item_electronic_address_search) {
    override fun convert(holder: BaseViewHolder, item: CustomerPOItem) {

        holder.setText(R.id.tv_address,"${ item.poiItem.title}")
        holder.setText(R.id.tv_distance,"${item.poiItem.distance}m | ${item.poiItem.adName}${item.poiItem.snippet}附近")
        if (item.isChecked){
            holder.setGone(R.id.img_checked,false)
        }else{
            holder.setGone(R.id.img_checked,true)

        }

    }
}